Subject: Re: [PATCH] bluetooth: use PTR_RET instead of IS_ERR + PTR_ERR

From: Gustavo Padovan <[email-masked]>
Date: Mon, 18 Mar 2013 15:19:14 -0300

Hi Silviu,

* Silviu Popescu <[email-masked]> [2013-03-18 20:13:50 +0200]:

> On Mon, Mar 18, 2013 at 8:05 PM, Silviu Popescu
> <[email-masked]> wrote:
> > On Wed, Mar 13, 2013 at 11:31 AM, David Miller <davem-fT/PcQaiUtIeIZ0/[email-masked]> wrote:
> >> From: Silviu-Mihai Popescu <[email-masked]>
> >> Date: Tue, 12 Mar 2013 20:13:15 +0200
> >>
> >>> @@ -590,10 +590,7 @@ int __init bt_sysfs_init(void)
> >>>       bt_debugfs = debugfs_create_dir("bluetooth", NULL);
> >>>
> >>>       bt_class = class_create(THIS_MODULE, "bluetooth");
> >>> -     if (IS_ERR(bt_class))
> >>> -             return PTR_ERR(bt_class);
> >>> -
> >>> -     return 0;
> >>> +     return PTR_RET(bt_class)
> >>
> >> Don't bother submitting patches you aren't even going to try
> >> to compile.
> >>
> >> I'm rejecting all of your current submissions.  Resubmit them
> >> when you feel like typing 'make' from time to time.
> >>
> >>
> >
> > Sorry for the trouble caused and sorry for the late reply.
> > That being said, I'd like to understand a bit better what exactly I messed up.
> > I've just pulled the latest revision of the mainline kernel and made
> > the changes in this patch.
> > I've tried with make defconfig (which would be x86_64_defconfig in my
> > case), followed by
> > make menuconfig to select the bluetooth options and make allyesconfig.
> > Both defconfig and allyesconfig compile successfully on my system.
> > Would you be so kind as to tell me what error you have encountered?
> > Or perhaps enlighten me as to what I'm still doing wrong. I'd like to
> > learn from my mistakes.
> 
> Please ignore this gratuitous stupidity.
> The right patch was applied locally, the wrong one sent to the list.
> I'll resubmit the proper one.

Someone already sent me a similar patch, so this is already fixed in
bluetooth-next. No need to resubmit this one.

	Gustavo